Transactions by Address
curl --request GET \
--url https://xbt-mainnet.gomaestro-api.org/v0/addresses/{address}/txs \
--header 'api-key: <api-key>'import requests
url = "https://xbt-mainnet.gomaestro-api.org/v0/addresses/{address}/txs"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://xbt-mainnet.gomaestro-api.org/v0/addresses/{address}/txs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"height": 5277680,
"input": true,
"output": true,
"tx_hash": "1cd3a819876660e98d3d5d9e4d36ddbd1ae6f96e58de0d3977f0ef2ce6e4194a"
},
{
"height": 5277682,
"input": true,
"output": true,
"tx_hash": "ad7b8037fc7551fd9e644ddd39bc0501bc6aac865284fd79dde8b732af45acd9"
}
],
"last_updated": {
"block_hash": "8ac9689a7901531013c3cd621eae8b8e75b1994f477d616a4faa2a10afd9be58",
"block_height": 5277710
},
"next_cursor": "AAAAAABQh_JgAAlg2axFrzK36N15_YRShqxqvAEFvDndTWSe_VF1_DeAe60"
}Addresses
Transactions by Address
Get paginated transaction history for a Bitcoin address with detailed input and output information.
GET
/
addresses
/
{address}
/
txs
Transactions by Address
Authorizations
Project API Key
Path Parameters
Bitcoin address or hex encoded script pubkey
Query Parameters
The max number of results per page
Required range:
x >= 0Only return transactions with at least a certain amount of confirmations
Required range:
x >= 0The order in which the results are sorted (by height at which transaction was included in a block)
Available options:
asc, desc Return only transactions included on or after a specific height
Required range:
x >= 0Return only transactions included on or before a specific height
Required range:
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Was this page helpful?

